package test;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.util.log.GlueLog;
import com.poscoict.glueframework.util.log.GlueLogFactory;

public class Test {
    public static void main(String[] args) {
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "hello-logging-service");
        ctx.put("input", "Glue");
        System.out.println(ctx);

        System.out.println("=================================== GlueContext 생성완료");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료");
        System.out.println("result : " + ctx.get("result"));
        System.out.println("=================================== 종료 ");

        ctx = new GlueDefaultContext();
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "hello-logging-service");
        ctx.put("input", "Glue");
        ctx.put("logging", "event");
        System.out.println(ctx);

        System.out.println("=================================== GlueContext 생성완료 ( 2차 )");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료 ( 2차 )");
        System.out.println("result : " + ctx.get("result"));
        System.out.println("=================================== 종료 ");

        System.out.println("===================================");

        GlueLog logger = GlueLogFactory.getLogger(Test.class);
        ctx.remove("hello-logging-service");
        logger.debug("GlueContext 의 내용입니다. \n{}", ctx);
        logger.info("GlueService 실행결과, result는 다음과 같습니다. \n{}", ctx.get("result"));
    }
}